import axipy

from ru_rubtsov_axioma_topo_tools.toolprocessing.TopoToolProcessing import RunTopo
from ru_rubtsov_axioma_topo_tools.toolprocessing.ui.DlgProgressBar import DlgProgressBar

name_table='TestGap'
name_table='world'
table=axipy.app.mainwindow.catalog().find(name_table)
propertyes_topo={}
self_intersect={}
self_intersect['style']='Symbol (35,16711680,8,"MapInfo Symbols",0,0) '
self_intersect['enable']=False
propertyes_topo['self_intersect']=self_intersect
area_intersect={}
area_intersect['style']='Brush (3, 16776960, 16711680)'
area_intersect['enable']=False
propertyes_topo['area_intersect']=area_intersect
gap_area={}
gap_area['style']='Brush (3, 16776960, 16711680)'
gap_area['enable']=True
gap_area['area_limmit']=0.0
propertyes_topo['gap_area']=gap_area
base_task=RunTopo(table,propertyes_topo)
dlg = DlgProgressBar(base_task,axipy.app.mainwindow.qt_object())
dlg.setTextProcess("Инициализация базы ..")
dlg.setTitle("Проверка топологии")
base_task.setClsProgressBar(dlg)
# b_process.setProcess([process_obj,process_obj1,process_obj2,process_objSp])

# b_process.setProcess([process_obj1])
dlg.exec(100)
